<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="16dp">

    <!-- Campo de texto para ingresar el valor de la compra -->
    <EditText
        android:id="@+id/compra_txt"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="Ingrese el valor de la compra"
        android:inputType="number"
        android:padding="16dp"
        android:minHeight="48dp"
        android:textSize="16sp" />


    <!-- TextView para mostrar la distancia calculada -->
    <TextView
        android:id="@+id/distancia"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Distancia:"
        android:padding="8dp" />

    <!-- TextView para mostrar el costo del traslado -->
    <TextView
        android:id="@+id/traslado_cost"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Costo del Traslado:"
        android:padding="8dp" />

    <!-- TextView para mostrar el costo total de la compra -->
    <TextView
        android:id="@+id/total_cost"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Costo Total:"
        android:padding="8dp" />

    <!-- Botón para calcular el costo de envío -->
    <Button
        android:id="@+id/dom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Calcular Envío"
        android:padding="8dp"
        android:layout_marginTop="16dp" />

    <!-- Botón para enviar los datos calculados -->
    <Button
        android:id="@+id/env"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Enviar Datos"
        android:padding="8dp"
        android:layout_marginTop="8dp" />

</LinearLayout>

